package mx.com.amx.mx.dda.ws.dto;

import java.io.Serializable;

/**
 * Un objeto de tipo ItemModificaPosicionDTO representa cada uno de los posibles registros detalle para modificar una posicion ya registrada
 * Este objeto pertenece al ámbito DDA.
 */
public class ItemModificaPosicionDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String noPosicion;
	private String cantidad;
	

	public String getCantidad() {
		return cantidad;
	}

	public void setCantidad(String cantidad) {
		this.cantidad = cantidad;
	}

	public String getNoPosicion() {
		return noPosicion;
	}

	public void setNoPosicion(String noPosicion) {
		this.noPosicion = noPosicion;
	}

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" cantidad: _" + this.getCantidad() + "_" + NEW_LINE);
		result.append(" noPosicion: _" + this.getNoPosicion() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}

}
